package cn.com.ctop.okr;

import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;

@Slf4j
@SpringBootApplication
@ComponentScan(basePackages = {"cn.com.ctop"})
@Configuration
public class Application {
    public static void main(String[] args) {
        SpringApplication.run(Application.class, args);
        log.info("\n----------------------------------------------------------\n\t" +
                "okr service is running\n\t" +
                "----------------------------------------------------------");
    }
}
