package cn.com.ctop.okr.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * okr 对象提醒信息
 * @author jeecg-boot
 * @date   2020-09-04
 * @version V1.0
 */
@Data
@TableName("okr_object_info_remind")
public class OkrObjectInfoRemind {

	@TableId(type = IdType.AUTO)
    private Long id;
	private Long krId;
	/**公开类型 1：部门 2：员工*/
	private Integer remindType;
	private String remindId;
	private Integer status;
	private String extraId;
	private Date createTime;
	private Date updateTime;

	public OkrObjectInfoRemind() {
		this.createTime = new Date();
		this.updateTime = new Date();
	}
}
