package cn.com.ctop.okr.mapper;

import cn.com.ctop.okr.entity.CorpDepartInfo;
import cn.com.ctop.okr.entity.CorpUserDepartMap;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface CorpDepartInfoMapper extends BaseMapper<CorpDepartInfo> {

    List<CorpDepartInfo> queryUserDeparts(@Param("openId")String openId);

    void deleteUserDepartMapByOpenId(@Param("openId")String openId);

    void insertUserDepartMapList(@Param("userDepartMapList")List<CorpUserDepartMap> userDepartMapList);

    void replaceInfoDepartInfo(@Param("departInfo")CorpDepartInfo departInfo);

    List<String> getCorpDepartIdList();

}
