package cn.com.ctop.okr.mapper;

import cn.com.ctop.okr.entity.OkrContentStatus;
import cn.com.ctop.okr.entity.OkrKrInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface OkrKrInfoMapper extends BaseMapper<OkrKrInfo> {

    List<OkrKrInfo> getKrByObjectId(@Param("objectId")Long objectId, @Param("userId")String userId, @Param("year")Integer year, @Param("quarter")Integer quarter);

    void updateKrInfo(@Param("kr")OkrKrInfo kr);

    void insertBatchOkrKrInfo(@Param("krList")List<OkrKrInfo> krList, @Param("userId")String userId, @Param("objectId")Long objectId, @Param("year")Integer year, @Param("quarter")Integer quarter);

    Long insertOkrKrInfo(@Param("kr")OkrKrInfo kr);

    void deleteKrById(@Param("kr")OkrKrInfo kr);
}
