package cn.com.ctop.okr.service.impl;

import cn.com.ctop.okr.entity.OkrTaskInfoRemind;
import cn.com.ctop.okr.mapper.OkrTaskInfoRemindMapper;
import cn.com.ctop.okr.service.IOkrTaskInfoRemindService;
import cn.com.ctop.okr.vo.RemindVO;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * okr 任务提醒信息
 * @author jeecg-boot
 * @date   2020-09-04
 * @version V1.0
 */
@Service
public class OkrTaskInfoRemindServiceImpl extends ServiceImpl<OkrTaskInfoRemindMapper, OkrTaskInfoRemind> implements IOkrTaskInfoRemindService {
    @Autowired
    private OkrTaskInfoRemindMapper okrTaskInfoRemindMapper;
    @Override
    public void deleteByTaskId(Long taskId) {
        Map<String,Object> map=new HashMap<>();
        map.put("okr_task_id",taskId);
        okrTaskInfoRemindMapper.deleteByMap(map);
    }

    @Override
    public List<RemindVO> getRemindVOByTaskId(Long taskInfoId) {
        return okrTaskInfoRemindMapper.getRemindVOByTaskId(taskInfoId);
    }
}
