package cn.com.ctop.okr.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 关注信息
 * @author jeecg-boot
 * @date   2020-09-05
 * @version V1.0
 */
@Data
@TableName("okr_focus_info")
public class OkrFocusInfo {

	/**id*/
	@TableId(type = IdType.AUTO)
	private Long id;
	private String followId;
	private String userId;
	private Integer status;
	private Date createTime;
	private Date updateTime;

	public OkrFocusInfo() {
		this.status = 1;
	}
}
