package cn.com.ctop.okr.entity;

import cn.com.ctop.okr.vo.PublicVO;
import cn.com.ctop.okr.vo.RemindVO;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
@TableName("okr_kr_info")
public class OkrKrInfo {
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;
    private Long objectId;
    private String userId;
    private String krInfo;
    private Integer year;
    private Integer quarter;
    private Integer status;
    private Integer completion;
    private Date createTime;
    private Date updateTime;
    private String krDesc;
    /**
     * 1：公开
     * 2：私密
     * 3：对某人公开
     */
    private Integer permission;
    @TableField(exist = false)
    private List<String> remindIds;
    @TableField(exist = false)
    private List<String>publicIds;
    @TableField(exist = false)
    private List<RemindVO>remindVOS;
    @TableField(exist = false)
    private List<PublicVO>publicVOS;
    @TableField(exist = false)
    private String userName;

}
