package cn.com.ctop.okr.mapper;

import cn.com.ctop.okr.entity.OkrObjectInfoDisclosure;
import cn.com.ctop.okr.vo.PublicVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * okr o 信息公开
 * @author: jeecg-boot
 * @date:   2020-09-04
 * @cersion: V1.0
 */
public interface OkrObjectInfoDisclosureMapper extends BaseMapper<OkrObjectInfoDisclosure> {

    OkrObjectInfoDisclosure checkDepartByParams(@Param(value = "krId") Long krId, @Param(value = "openId")String openId, @Param(value = "publicType")Integer publicType);

    List<PublicVO> getPublicVOByKrId(@Param(value = "krId") Long krId);
}
