package cn.com.ctop.okr.mapper;

import cn.com.ctop.okr.dto.UserInfoDto;
import cn.com.ctop.okr.entity.QYWxUserDepartMap;
import cn.com.ctop.okr.entity.QYWxUserInfo;
import cn.com.ctop.okr.vo.QYWxDepartInfoVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface QYWxUserInfoMapper extends BaseMapper<QYWxUserInfo> {

    //CorpUserInfo getUserInfoByOpenId(@Param("openId") String openId);
    //
    void replaceIntoWxUserInfo(@Param("userInfo") QYWxUserInfo userInfo);
    //
    void deleteUserDepartMapByUserid(@Param("userid") String userid);

    void insertUserDeopartMap(@Param("map") QYWxUserDepartMap map);

    List<String> getUseridList();

    void updateUserInfoByUserid(@Param("userid")String userid, @Param("openId")String openId);

    void updateUserDepartMapOpenIdByUserid(@Param("userid")String userid, @Param("openId")String openId);

    List<UserInfoDto> getUserListByName(@Param("name")String name, @Param("openId")String openId);

    QYWxUserInfo getUserInfoByUserid(@Param("userid")String userid);

    QYWxUserInfo getUserInfoByOpenId(@Param("openId")String openId);

    List<QYWxDepartInfoVO> getDepartInfoVo();
}
