package cn.com.ctop.okr.service.impl;

import cn.com.ctop.okr.entity.QYWxUserInfo;
import cn.com.ctop.okr.mapper.QYWxUserInfoMapper;
import cn.com.ctop.okr.service.IQYWxUserInfoService;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

@Service
public class QYWxUserInfoServiceImpl extends ServiceImpl<QYWxUserInfoMapper, QYWxUserInfo> implements IQYWxUserInfoService {
    @Override
    public QYWxUserInfo getByOpenId(String openId) {
        QueryWrapper<QYWxUserInfo> queryWrapper = new QueryWrapper<>();
        if(null!=openId||!"".equals(openId.trim())){
            queryWrapper.eq("open_id",openId);
        }
        queryWrapper.last("limit 1");
        return this.getOne(queryWrapper);
    }
}
