package cn.com.ctop.okr.shiro.vo;

public interface JsonResStateEnum  {

    /**
     * 没有登录时的状态
     */
    public static final  Integer NO_LOGIN = -1;

    /**
     * 没有访问权限时的状态
     */
    public static final  Integer NO_PERMISSION = -2;

    /**
     * 系统错误时的错误, 不可掌控错误
     */
    public static final  Integer SYSTEM_ERROR = -3;

    /**
     * token验证错误
     */
    public static final Integer TOKEN_ERROR = -4;

    /**
     * 由用户自定义返回的错误, 受用户掌控
     */
    public static final  Integer USER_ERROR = 0;

    /**
     * 正常状态
     */
    public static final  Integer SUCCESS = 1;

}
